Download OpenAPI specification:Download
REST API for managing Certificates in the platform
Array of objects (SearchFilterRequestDto) Certificate filter input | |
| itemsPerPage | integer <int32> <= 1000 Default: 10 Number of entries per page |
| pageNumber | integer <int32> Default: 1 Page number for the request |
| includeArchived | boolean Include archived certificates |
{- "filters": [
- {
- "fieldSource": "meta",
- "fieldIdentifier": "string",
- "condition": "EQUALS",
- "value": null
}
], - "itemsPerPage": 10,
- "pageNumber": 1,
- "includeArchived": true
}{- "certificates": [
- {
- "uuid": "string",
- "commonName": "string",
- "serialNumber": "string",
- "issuerCommonName": "string",
- "issuerDn": "string",
- "subjectDn": "string",
- "notBefore": "2019-08-24T14:15:22Z",
- "notAfter": "2019-08-24T14:15:22Z",
- "publicKeyAlgorithm": "string",
- "altPublicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "hybridCertificate": true,
- "keySize": 0,
- "altKeySize": 0,
- "state": "requested",
- "validationStatus": "not_checked",
- "raProfile": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "enabled": true,
- "authorityInstanceUuid": "string"
}, - "fingerprint": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "owner": "string",
- "ownerUuid": "string",
- "certificateType": "X.509",
- "issuerSerialNumber": "string",
- "complianceStatus": "not_checked",
- "issuerCertificateUuid": "string",
- "privateKeyAvailability": true,
- "trustedCa": true,
- "archived": false
}
], - "itemsPerPage": 0,
- "pageNumber": 0,
- "totalPages": 0,
- "totalItems": 0
}In this operation, when the list of Certificate UUIDs are provided and the filter is left as null or undefined, then the change will be applied only to the list of Certificate UUIDs provided. When the filter is provided in the request, the list of UUIDs will be ignored and the change will be applied for the all the certificates that matches the filter criteria. To apply this change for all the Certificates in the inventory, provide an empty array "[]" for the value of "filters" in the request body
| groupUuids | Array of strings Certificate Groups UUIDs (set to empty list to remove certificate from all groups) |
| ownerUuid | string Certificate owner user UUID (set to empty string to remove owner of certificate) |
| raProfileUuid | string RA Profile UUID (set to empty string to remove certificate from RA profile) |
| certificateUuids | Array of strings List of Certificate UUIDs |
Array of objects (SearchFilterRequestDto) Certificate filter input |
{- "groupUuids": [
- "string"
], - "ownerUuid": "string",
- "raProfileUuid": "string",
- "certificateUuids": [
- "string"
], - "filters": [
- {
- "fieldSource": "meta",
- "fieldIdentifier": "string",
- "condition": "EQUALS",
- "value": null
}
]
}{- "message": "Error message"
}| certificate required | string Base64 Content of the Certificate |
required | Array of objects (RequestAttribute) Custom Attributes for the Certificate |
{- "certificate": "string",
- "customAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}{- "uuid": "string"
}In this operation, when the list of Certificate UUIDs are provided and the filter is left as null or undefined, then the change will be applied only to the list of Certificate UUIDs provided. When the filter is provided in the request, the list of UUIDs will be ignored and the change will be applied for the all the certificates that matches the filter criteria. To apply this change for all the Certificates in the inventory, provide an empty array "[]" for the value of "filters" in the request body
| uuids | Array of strings List of Certificate UUIDs |
Array of objects (SearchFilterRequestDto) Certificate filter input |
{- "uuids": [
- "string"
], - "filters": [
- {
- "fieldSource": "meta",
- "fieldIdentifier": "string",
- "condition": "EQUALS",
- "value": null
}
]
}{- "status": "SUCCESS",
- "failedItem": 0,
- "message": "string"
}| raProfileUuid required | string <uuid> RA Profile UUID. Required if CSR is not uploaded |
| sourceCertificateUuid | string <uuid> Source certificate UUID to specify in case of renew/rekey operation |
Array of objects (RequestAttribute) List of attributes to create CSR. Required if CSR is not provided | |
Array of objects (RequestAttribute) List of attributes to sign the CSR | |
Array of objects (RequestAttribute) List of attributes to sign the alternative private key, in case of hybrid CSR | |
| request | string Certificate signing request encoded as Base64 string |
| format | string (CertificateRequestFormat) Default: "pkcs10" Enum: "pkcs10" "crmf" Certificate signing request format |
| tokenProfileUuid | string <uuid> Token Profile UUID. Required if CSR is not uploaded |
| keyUuid | string <uuid> Key UUID. Required if CSR is not uploaded |
| altTokenProfileUuid | string <uuid> Token Profile UUID for the alternative key |
| altKeyUuid | string <uuid> Alternative Key UUID. |
required | Array of objects (RequestAttribute) List of RA Profile related Attributes to issue Certificate |
Array of objects (RequestAttribute) List of Custom Attributes |
{- "raProfileUuid": "b9278d9c-f0fb-4571-ad29-d552005d6e12",
- "sourceCertificateUuid": "cef92ac9-d5a2-44b4-8d0a-6ae2f850acf7",
- "csrAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "signatureAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "altSignatureAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "request": "string",
- "format": "pkcs10",
- "tokenProfileUuid": "66f2e24c-4f07-496b-b5c4-6fe8a5e8361a",
- "keyUuid": "a0e39a6c-fae3-43d6-99c3-a3620775a368",
- "altTokenProfileUuid": "487a31a3-090d-4b19-9b24-0ff6d52ff0e9",
- "altKeyUuid": "ae57c41d-5798-439d-bc96-b05c70b20ac1",
- "issueAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
], - "customAttributes": [
- {
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}{- "uuid": "string",
- "commonName": "string",
- "serialNumber": "string",
- "issuerCommonName": "string",
- "issuerDn": "string",
- "subjectDn": "string",
- "notBefore": "2019-08-24T14:15:22Z",
- "notAfter": "2019-08-24T14:15:22Z",
- "publicKeyAlgorithm": "string",
- "altPublicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "hybridCertificate": true,
- "keySize": 0,
- "altKeySize": 0,
- "state": "requested",
- "validationStatus": "not_checked",
- "raProfile": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "enabled": true,
- "authorityInstanceUuid": "string"
}, - "fingerprint": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "owner": "string",
- "ownerUuid": "string",
- "certificateType": "X.509",
- "issuerSerialNumber": "string",
- "complianceStatus": "not_checked",
- "issuerCertificateUuid": "string",
- "privateKeyAvailability": true,
- "trustedCa": true,
- "archived": false,
- "extendedKeyUsage": [
- "string"
], - "keyUsage": [
- "digitalSignature"
], - "subjectType": "endEntity",
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
], - "certificateContent": "string",
- "subjectAlternativeNames": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "locations": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "entityInstanceUuid": "string",
- "entityInstanceName": "string",
- "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "enabled": true,
- "supportMultipleEntries": false,
- "supportKeyManagement": false,
- "certificates": [
- {
- "certificateUuid": "string",
- "state": "requested",
- "validationStatus": "not_checked",
- "commonName": "string",
- "serialNumber": "string",
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- null
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- null
], - "version": "v2"
}
]
}
], - "pushAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "csrAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "withKey": false
}
], - "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
]
}
], - "nonCompliantRules": [
- {
- "connectorName": "Provider1",
- "ruleName": "RuleName",
- "ruleDescription": "Description sample",
- "status": "ok",
- "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "key": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "keyWrapperUuid": "string",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": null,
- "data": null
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "associations": 0,
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "length": 0,
- "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "complianceStatus": "not_checked"
}
], - "associations": 0,
- "complianceStatus": "not_checked"
}, - "altKey": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "keyWrapperUuid": "string",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": null,
- "data": null
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "associations": 0,
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "length": 0,
- "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "complianceStatus": "not_checked"
}
], - "associations": 0,
- "complianceStatus": "not_checked"
}, - "certificateRequest": {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "certificateType": "X.509",
- "certificateRequestFormat": "pkcs10",
- "publicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "content": "string",
- "commonName": "string",
- "subjectDn": "string",
- "subjectAlternativeNames": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "signatureAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "altSignatureAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "keyUuid": "string",
- "altKeyUuid": "string",
- "complianceStatus": "not_checked"
}, - "sourceCertificateUuid": "cef92ac9-d5a2-44b4-8d0a-6ae2f850acf7",
- "issueAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "revokeAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "relatedCertificates": [
- {
- "uuid": "string",
- "commonName": "string",
- "serialNumber": "string",
- "issuerCommonName": "string",
- "issuerDn": "string",
- "subjectDn": "string",
- "notBefore": "2019-08-24T14:15:22Z",
- "notAfter": "2019-08-24T14:15:22Z",
- "publicKeyAlgorithm": "string",
- "altPublicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "hybridCertificate": true,
- "keySize": 0,
- "altKeySize": 0,
- "state": "requested",
- "validationStatus": "not_checked",
- "raProfile": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "enabled": true,
- "authorityInstanceUuid": "string"
}, - "fingerprint": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "owner": "string",
- "ownerUuid": "string",
- "certificateType": "X.509",
- "issuerSerialNumber": "string",
- "complianceStatus": "not_checked",
- "issuerCertificateUuid": "string",
- "privateKeyAvailability": true,
- "trustedCa": true,
- "archived": false
}
], - "protocolInfo": {
- "protocol": "acme",
- "protocolProfileUuid": "a286b9c7-97ed-44c6-a837-e8415ab11bf4",
- "additionalProtocolUuid": "bcf08956-ad5e-4c4a-863d-293464f7e308"
}
}Certificate UUIDs
[- "c2f685d4-6a3e-11ec-90d6-0242ac120003",
- "b9b09548-a97c-4c6a-a06a-e4ee6fc2da98"
][- {
- "uuid": "string",
- "commonName": "string",
- "serialNumber": "string",
- "certificateContent": "string"
}
]| certificateUuids | Array of strings List of UUIDs of the Certificates |
{- "certificateUuids": [
- "string"
]
}{- "message": "Error message"
}| uuid required | string <uuid> Certificate UUID |
{- "uuid": "string",
- "commonName": "string",
- "serialNumber": "string",
- "issuerCommonName": "string",
- "issuerDn": "string",
- "subjectDn": "string",
- "notBefore": "2019-08-24T14:15:22Z",
- "notAfter": "2019-08-24T14:15:22Z",
- "publicKeyAlgorithm": "string",
- "altPublicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "hybridCertificate": true,
- "keySize": 0,
- "altKeySize": 0,
- "state": "requested",
- "validationStatus": "not_checked",
- "raProfile": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "enabled": true,
- "authorityInstanceUuid": "string"
}, - "fingerprint": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "owner": "string",
- "ownerUuid": "string",
- "certificateType": "X.509",
- "issuerSerialNumber": "string",
- "complianceStatus": "not_checked",
- "issuerCertificateUuid": "string",
- "privateKeyAvailability": true,
- "trustedCa": true,
- "archived": false,
- "extendedKeyUsage": [
- "string"
], - "keyUsage": [
- "digitalSignature"
], - "subjectType": "endEntity",
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
], - "certificateContent": "string",
- "subjectAlternativeNames": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "locations": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "entityInstanceUuid": "string",
- "entityInstanceName": "string",
- "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "enabled": true,
- "supportMultipleEntries": false,
- "supportKeyManagement": false,
- "certificates": [
- {
- "certificateUuid": "string",
- "state": "requested",
- "validationStatus": "not_checked",
- "commonName": "string",
- "serialNumber": "string",
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- null
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- null
], - "version": "v2"
}
]
}
], - "pushAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "csrAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "withKey": false
}
], - "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
]
}
], - "nonCompliantRules": [
- {
- "connectorName": "Provider1",
- "ruleName": "RuleName",
- "ruleDescription": "Description sample",
- "status": "ok",
- "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "key": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "keyWrapperUuid": "string",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": null,
- "data": null
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "associations": 0,
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "length": 0,
- "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "complianceStatus": "not_checked"
}
], - "associations": 0,
- "complianceStatus": "not_checked"
}, - "altKey": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "keyWrapperUuid": "string",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": null,
- "data": null
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "associations": 0,
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "length": 0,
- "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "complianceStatus": "not_checked"
}
], - "associations": 0,
- "complianceStatus": "not_checked"
}, - "certificateRequest": {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "certificateType": "X.509",
- "certificateRequestFormat": "pkcs10",
- "publicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "content": "string",
- "commonName": "string",
- "subjectDn": "string",
- "subjectAlternativeNames": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "signatureAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "altSignatureAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "keyUuid": "string",
- "altKeyUuid": "string",
- "complianceStatus": "not_checked"
}, - "sourceCertificateUuid": "cef92ac9-d5a2-44b4-8d0a-6ae2f850acf7",
- "issueAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "revokeAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "relatedCertificates": [
- {
- "uuid": "string",
- "commonName": "string",
- "serialNumber": "string",
- "issuerCommonName": "string",
- "issuerDn": "string",
- "subjectDn": "string",
- "notBefore": "2019-08-24T14:15:22Z",
- "notAfter": "2019-08-24T14:15:22Z",
- "publicKeyAlgorithm": "string",
- "altPublicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "hybridCertificate": true,
- "keySize": 0,
- "altKeySize": 0,
- "state": "requested",
- "validationStatus": "not_checked",
- "raProfile": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "enabled": true,
- "authorityInstanceUuid": "string"
}, - "fingerprint": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "owner": "string",
- "ownerUuid": "string",
- "certificateType": "X.509",
- "issuerSerialNumber": "string",
- "complianceStatus": "not_checked",
- "issuerCertificateUuid": "string",
- "privateKeyAvailability": true,
- "trustedCa": true,
- "archived": false
}
], - "protocolInfo": {
- "protocol": "acme",
- "protocolProfileUuid": "a286b9c7-97ed-44c6-a837-e8415ab11bf4",
- "additionalProtocolUuid": "bcf08956-ad5e-4c4a-863d-293464f7e308"
}
}| uuid required | string <uuid> Certificate UUID |
| groupUuids | Array of strings Certificate Groups UUIDs (set to empty list to remove certificate from all groups) |
| ownerUuid | string Certificate owner user UUID (set to empty string to remove owner of certificate) |
| raProfileUuid | string RA Profile UUID (set to empty string to remove certificate from RA profile) |
| trustedCa | boolean Mark CA certificate as trusted |
{- "groupUuids": [
- "string"
], - "ownerUuid": "string",
- "raProfileUuid": "string",
- "trustedCa": true
}{- "message": "Error message"
}| uuid required | string <uuid> Certificate UUID |
| certificateFormat required | string (CertificateFormat) Enum: "raw" "pkcs7" Certificate format |
| encoding required | string (CertificateFormatEncoding) Enum: "pem" "der" |
{- "format": "raw",
- "encoding": "pem",
- "content": "string"
}| uuid required | string <uuid> Certificate UUID |
{- "resultStatus": "not_checked",
- "validationChecks": {
- "property1": {
- "validationCheck": "certificate_chain",
- "status": "not_checked",
- "message": "string"
}, - "property2": {
- "validationCheck": "certificate_chain",
- "status": "not_checked",
- "message": "string"
}
}, - "message": "string",
- "validationTimestamp": "2019-08-24T14:15:22Z"
}| uuid required | string <uuid> Certificate UUID |
[- {
- "uuid": "string",
- "certificateUuid": "string",
- "created": "2019-08-24T14:15:22Z",
- "createdBy": "string",
- "event": "Issue Certificate",
- "status": "SUCCESS",
- "message": "string",
- "additionalInformation": {
- "property1": null,
- "property2": null
}
}
]Get certificate chain for the certificate with the given UUID. The certificate chain is returned in the order of the chain, with the first certificate being the certificate with the given UUID, up to the last identified certificate in the chain. If the certificate with the given UUID has status NEW or REJECTED, an empty list is returned.
| uuid required | string <uuid> Certificate UUID |
| withEndCertificate | boolean |
{- "completeChain": true,
- "certificates": [
- {
- "uuid": "string",
- "commonName": "string",
- "serialNumber": "string",
- "issuerCommonName": "string",
- "issuerDn": "string",
- "subjectDn": "string",
- "notBefore": "2019-08-24T14:15:22Z",
- "notAfter": "2019-08-24T14:15:22Z",
- "publicKeyAlgorithm": "string",
- "altPublicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "hybridCertificate": true,
- "keySize": 0,
- "altKeySize": 0,
- "state": "requested",
- "validationStatus": "not_checked",
- "raProfile": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "enabled": true,
- "authorityInstanceUuid": "string"
}, - "fingerprint": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "owner": "string",
- "ownerUuid": "string",
- "certificateType": "X.509",
- "issuerSerialNumber": "string",
- "complianceStatus": "not_checked",
- "issuerCertificateUuid": "string",
- "privateKeyAvailability": true,
- "trustedCa": true,
- "archived": false,
- "extendedKeyUsage": [
- "string"
], - "keyUsage": [
- "digitalSignature"
], - "subjectType": "endEntity",
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
], - "certificateContent": "string",
- "subjectAlternativeNames": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "locations": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "entityInstanceUuid": "string",
- "entityInstanceName": "string",
- "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "enabled": true,
- "supportMultipleEntries": false,
- "supportKeyManagement": false,
- "certificates": [
- {
- "certificateUuid": "string",
- "state": "requested",
- "validationStatus": "not_checked",
- "commonName": "string",
- "serialNumber": "string",
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- null
]
}
], - "pushAttributes": [
- {
- "content": [
- null
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "csrAttributes": [
- {
- "content": [
- null
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "withKey": false
}
], - "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- null
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- null
], - "version": "v2"
}
]
}
]
}
], - "nonCompliantRules": [
- {
- "connectorName": "Provider1",
- "ruleName": "RuleName",
- "ruleDescription": "Description sample",
- "status": "ok",
- "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "key": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": null,
- "data": null
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "keyWrapperUuid": "string",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [ ],
- "uuid": null,
- "name": null,
- "label": null,
- "type": null,
- "contentType": null,
- "version": null
}
]
}
], - "associations": 0,
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "length": 0,
- "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "complianceStatus": "not_checked"
}
], - "associations": 0,
- "complianceStatus": "not_checked"
}, - "altKey": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- {
- "reference": null,
- "data": null
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "items": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "creationTime": "2019-08-24T14:15:22Z",
- "keyWrapperUuid": "string",
- "tokenProfileUuid": "string",
- "tokenProfileName": "string",
- "tokenInstanceUuid": "string",
- "tokenInstanceName": "string",
- "owner": "string",
- "ownerUuid": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [ ],
- "uuid": null,
- "name": null,
- "label": null,
- "type": null,
- "contentType": null,
- "version": null
}
]
}
], - "associations": 0,
- "keyReferenceUuid": "string",
- "type": "Secret",
- "keyAlgorithm": "RSA",
- "format": "Raw",
- "length": 0,
- "usage": [
- "sign"
], - "enabled": true,
- "state": "pre-active",
- "complianceStatus": "not_checked"
}
], - "associations": 0,
- "complianceStatus": "not_checked"
}, - "certificateRequest": {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "certificateType": "X.509",
- "certificateRequestFormat": "pkcs10",
- "publicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "content": "string",
- "commonName": "string",
- "subjectDn": "string",
- "subjectAlternativeNames": {
- "property1": [
- "string"
], - "property2": [
- "string"
]
}, - "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "signatureAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "altSignatureAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "keyUuid": "string",
- "altKeyUuid": "string",
- "complianceStatus": "not_checked"
}, - "sourceCertificateUuid": "cef92ac9-d5a2-44b4-8d0a-6ae2f850acf7",
- "issueAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "revokeAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "relatedCertificates": [
- {
- "uuid": "string",
- "commonName": "string",
- "serialNumber": "string",
- "issuerCommonName": "string",
- "issuerDn": "string",
- "subjectDn": "string",
- "notBefore": "2019-08-24T14:15:22Z",
- "notAfter": "2019-08-24T14:15:22Z",
- "publicKeyAlgorithm": "string",
- "altPublicKeyAlgorithm": "string",
- "signatureAlgorithm": "string",
- "altSignatureAlgorithm": "string",
- "hybridCertificate": true,
- "keySize": 0,
- "altKeySize": 0,
- "state": "requested",
- "validationStatus": "not_checked",
- "raProfile": {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "enabled": true,
- "authorityInstanceUuid": "string"
}, - "fingerprint": "string",
- "groups": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "email": "string",
- "customAttributes": [
- {
- "content": [
- null
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
]
}
], - "owner": "string",
- "ownerUuid": "string",
- "certificateType": "X.509",
- "issuerSerialNumber": "string",
- "complianceStatus": "not_checked",
- "issuerCertificateUuid": "string",
- "privateKeyAvailability": true,
- "trustedCa": true,
- "archived": false
}
], - "protocolInfo": {
- "protocol": "acme",
- "protocolProfileUuid": "a286b9c7-97ed-44c6-a837-e8415ab11bf4",
- "additionalProtocolUuid": "bcf08956-ad5e-4c4a-863d-293464f7e308"
}
}
]
}| uuid required | string <uuid> Certificate UUID |
| certificateFormat required | string (CertificateFormat) Enum: "raw" "pkcs7" Certificate format |
| withEndCertificate | boolean |
| encoding required | string (CertificateFormatEncoding) Enum: "pem" "der" |
{- "format": "raw",
- "encoding": "pem",
- "content": "string",
- "completeChain": true
}| uuid required | string <uuid> Certificate UUID |
| itemsPerPage | integer <int32> <= 1000 Default: 10 Number of entries per page |
| pageNumber | integer <int32> Default: 1 Page number for the request |
{- "itemsPerPage": 0,
- "pageNumber": 0,
- "totalPages": 0,
- "totalItems": 0,
- "approvals": [
- {
- "approvalUuid": "string",
- "creatorUuid": "string",
- "creatorUsername": "string",
- "version": 0,
- "createdAt": "2019-08-24T14:15:22Z",
- "expiryAt": "2019-08-24T14:15:22Z",
- "closedAt": "2019-08-24T14:15:22Z",
- "status": "PENDING",
- "resource": "NONE",
- "resourceAction": "string",
- "objectUuid": "string",
- "approvalProfileName": "string",
- "approvalProfileUuid": "string"
}
]
}| certificateUuid required | string <uuid> Certificate UUID |
[- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name",
- "description": "string",
- "entityInstanceUuid": "string",
- "entityInstanceName": "string",
- "attributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "customAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "enabled": true,
- "supportMultipleEntries": false,
- "supportKeyManagement": false,
- "certificates": [
- {
- "certificateUuid": "string",
- "state": "requested",
- "validationStatus": "not_checked",
- "commonName": "string",
- "serialNumber": "string",
- "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": null,
- "name": null
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": null,
- "data": null,
- "contentType": null
}
], - "version": "v2"
}
]
}
], - "pushAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "csrAttributes": [
- {
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "version": "v2"
}
], - "withKey": false
}
], - "metadata": [
- {
- "connectorUuid": "string",
- "connectorName": "string",
- "sourceObjectType": "NONE",
- "items": [
- {
- "sourceObjects": [
- {
- "uuid": "7b55ge1c-844f-11dc-a8a3-0242ac120002",
- "name": "Name"
}
], - "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "name": "Attribute",
- "label": "Attribute Name",
- "type": "data",
- "contentType": "string",
- "content": [
- {
- "reference": "string",
- "data": true,
- "contentType": "string"
}
], - "version": "v2"
}
]
}
]
}
][- {
- "filterFieldSource": "meta",
- "searchFieldData": [
- {
- "fieldIdentifier": "string",
- "fieldLabel": "string",
- "type": "string",
- "conditions": [
- "EQUALS"
], - "platformEnum": "Resource",
- "attributeContentType": "string",
- "value": null,
- "multiValue": true
}
]
}
][- {
- "name": "Attribute",
- "type": "data",
- "uuid": "b11c9be1-b619-4ef5-be1b-a1cd9ef265b7",
- "description": "string",
- "version": 0,
- "content": [
- {
- "reference": "string",
- "data": true
}
], - "contentType": "string",
- "properties": {
- "label": "Attribute Name",
- "visible": true,
- "group": "requiredAttributes",
- "required": false,
- "readOnly": false,
- "list": false,
- "multiSelect": false,
- "protectionLevel": "none",
- "resource": "certificates",
- "extensibleList": false
}, - "constraints": [
- {
- "type": "regExp",
- "errorMessage": "string",
- "description": "string",
- "data": "string"
}
], - "attributeCallback": {
- "callbackContext": "string",
- "callbackMethod": "string",
- "mappings": [
- {
- "from": "string",
- "attributeType": "data",
- "attributeContentType": "string",
- "to": "string",
- "targets": [
- "pathVariable"
], - "value": null
}
]
}
}
]